summaryrefslogtreecommitdiff
path: root/source4/script/installdirs.sh
diff options
context:
space:
mode:
Diffstat (limited to 'source4/script/installdirs.sh')
-rwxr-xr-xsource4/script/installdirs.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/source4/script/installdirs.sh b/source4/script/installdirs.sh
new file mode 100755
index 0000000000..9557b86d3b
--- /dev/null
+++ b/source4/script/installdirs.sh
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+while ( test -n "$1" ); do
+ if [ ! -d $1 ]; then
+ mkdir -p $1
+ fi
+
+ if [ ! -d $1 ]; then
+ echo Failed to make directory $1
+ exit 1
+ fi
+
+ shift;
+done
+
+
+